## notus-scanner 22.4.2

=== smoketest/Makefile ===
C_NETWORK_NAME := notus-smoketests
C_IMAGE_PRFX := ghcr.io/greenbone
C_IMAGE_TAG := latest
C_IMAGE_NAME := ${C_IMAGE_PRFX}/notus-scanner-smoketest:${C_IMAGE_TAG}
C_SLACKWARE := ghcr.io/greenbone/scanner-lab-slackware:latest

RUN_CONTAINER = docker run --rm --network ${C_NETWORK_NAME}
RUN_CONTAINER_D := ${RUN_CONTAINER} -d
RUN_CONTAINER_P := ${RUN_CONTAINER} --privileged 

ifndef GO
	GO := go
endif
GO_BUILD := CGO_ENABLED=0 GOOS=linux GOARCH=amd64 ${GO} build -o

all: build create-network slackware run stop-slackware delete-network

build:
	cd .. && DOCKER_BUILDKIT=1 docker build -f smoketest/Dockerfile -t ${C_IMAGE_NAME} .

build-cmd:
	mkdir -p bin/
	${GO_BUILD} bin/run-notus-smoketests cmd/tests/main.go

create-network:
	- docker network create -d bridge ${C_NETWORK_NAME}

delete-network:
	- docker network rm ${C_NETWORK_NAME}

run:
	${RUN_CONTAINER_P} ${C_IMAGE_NAME}

interactive:
	${RUN_CONTAINER_P} -it ${C_IMAGE_NAME} bash

slackware:
	${RUN_CONTAINER_D} --name "nst_slackware" ${C_SLACKWARE}

stop-slackware:
	docker stop nst_slackware

=== debian/changelog ===
notus-scanner (22.4.2-1) unstable; urgency=medium

  * Import new upstream version 22.4.2

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 23 Jan 2023 15:05:33 +0100

notus-scanner (22.4.1-2) unstable; urgency=medium

  * Source-upload only 

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 23 Jan 2023 15:01:19 +0100

notus-scanner (22.4.1-1) unstable; urgency=medium

  * Initial release (Closes: #1026797).

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 21 Dec 2022 10:36:26 +0100

=== debian/control ===
Source: notus-scanner
Section: python
Priority: optional
Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
Uploaders: Sophie Brun <sophie@offensive-security.com>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 pybuild-plugin-pyproject,
 python3-setuptools,
 python3-all,
 python3-poetry-core,
 python3-gnupg,
 python3-paho-mqtt,
Standards-Version: 4.6.2
Homepage: https://github.com/greenbone/notus-scanner
Vcs-Browser: https://salsa.debian.org/pkg-security-team/notus-scanner
Vcs-Git: https://salsa.debian.org/pkg-security-team/notus-scanner.git

Package: notus-scanner
Architecture: all
Depends:
 ${python3:Depends},
 ${misc:Depends},
 adduser,
 mosquitto
Description: vulnerable products detection (Python 3)
 Notus Scanner detects vulnerable products in a system environment. The
 scanning method is to evaluate internal system information. It does this very
 fast and even detects currently inactive products because it does not need to
 interact with each of the products.
 .
 To report about vulnerabilities, Notus Scanner receives collected system
 information on the one hand and accesses the vulnerability information from
 the feed service on the other. Both input elements are in table form: the
 system information is specific to each environment and the vulnerability
 information is specific to each system type.
 .
 This is a component of the Greenbone Vulnerability Management framework.

## notus-scanner 22.5.0

=== debian/changelog ===
notus-scanner (22.5.0-0parrot1) lory; urgency=medium

  * Rebuild for Parrot 6.0.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Thu, 07 Sep 2023 02:11:14 +0200

notus-scanner (22.5.0-0kali1) kali-experimental; urgency=medium

  * New upstream version 22.5.0
  * Refresh patches
  * Update debian/copyright

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 21 Apr 2023 09:17:34 +0200

## notus-scanner 22.6.2

=== smoketest/Makefile ===
--- 
+++ 
@@ -1,3 +1,7 @@
+# SPDX-FileCopyrightText: 2023 Greenbone AG
+#
+# SPDX-License-Identifier: AGPL-3.0-or-later
+
 C_NETWORK_NAME := notus-smoketests
 C_IMAGE_PRFX := ghcr.io/greenbone
 C_IMAGE_TAG := latest

=== debian/changelog ===
notus-scanner (22.6.2-1ubuntu0.1) noble; urgency=medium

  * Ensure fixed version of py3compile/py3clean is used when upgrading
    (LP: #2075337)

 -- Dave Jones <dave.jones@canonical.com>  Sun, 25 Aug 2024 23:22:09 +0100

notus-scanner (22.6.2-1) unstable; urgency=medium

  * New upstream version 22.6.2
  * Refresh patches

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 21 Nov 2023 10:32:52 +0100

notus-scanner (22.4.2-2) unstable; urgency=medium

  [ Peter Wienemann ]
  * Add python3-tomli to build dependencies (Closes: #1052732)

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 24 Oct 2023 14:09:11 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: notus-scanner
 Section: python
 Priority: optional
-Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
 Uploaders: Sophie Brun <sophie@offensive-security.com>
 Rules-Requires-Root: no
 Build-Depends:
@@ -13,6 +14,7 @@
  python3-poetry-core,
  python3-gnupg,
  python3-paho-mqtt,
+ python3-tomli,
 Standards-Version: 4.6.2
 Homepage: https://github.com/greenbone/notus-scanner
 Vcs-Browser: https://salsa.debian.org/pkg-security-team/notus-scanner
@@ -25,6 +27,7 @@
  ${misc:Depends},
  adduser,
  mosquitto
+Breaks: python3-minimal (<< 3.12.3-0ubuntu2~)
 Description: vulnerable products detection (Python 3)
  Notus Scanner detects vulnerable products in a system environment. The
  scanning method is to evaluate internal system information. It does this very

## notus-scanner 22.6.3

=== debian/changelog ===
notus-scanner (22.6.3-2) unstable; urgency=medium

  * Move files from / to /usr (Closes: #1073613)

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 21 Jun 2024 15:25:25 +0200

notus-scanner (22.6.3-1) unstable; urgency=medium

  * New upstream version 22.6.3
  * Update debian/copyright
  * Refresh patches

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 23 Apr 2024 17:56:22 +0200

## notus-scanner 22.6.4

=== debian/changelog ===
notus-scanner (22.6.4-1) unstable; urgency=medium

  * New upstream version 22.6.4
  * Bump Standards-Version to 4.7.0 (no change)
  * Override false-positive lintian information

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 27 Aug 2024 16:37:05 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: notus-scanner
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
+Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
 Uploaders: Sophie Brun <sophie@offensive-security.com>
 Rules-Requires-Root: no
 Build-Depends:
@@ -15,7 +14,7 @@
  python3-gnupg,
  python3-paho-mqtt,
  python3-tomli,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://github.com/greenbone/notus-scanner
 Vcs-Browser: https://salsa.debian.org/pkg-security-team/notus-scanner
 Vcs-Git: https://salsa.debian.org/pkg-security-team/notus-scanner.git
@@ -27,7 +26,6 @@
  ${misc:Depends},
  adduser,
  mosquitto
-Breaks: python3-minimal (<< 3.12.3-0ubuntu2~)
 Description: vulnerable products detection (Python 3)
  Notus Scanner detects vulnerable products in a system environment. The
  scanning method is to evaluate internal system information. It does this very

## notus-scanner 22.6.5

=== debian/changelog ===
notus-scanner (22.6.5-1) unstable; urgency=medium

  * New upstream version 22.6.5
  * Bump Standards-Version to 4.7.2 (no change)
  * Remove obsolete lintian-overrides

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 25 Mar 2025 09:22:38 +0100

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
  python3-gnupg,
  python3-paho-mqtt,
  python3-tomli,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/greenbone/notus-scanner
 Vcs-Browser: https://salsa.debian.org/pkg-security-team/notus-scanner
 Vcs-Git: https://salsa.debian.org/pkg-security-team/notus-scanner.git

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE = 1

export PYBUILD_NAME=notus-scanner
export PYBUILD_SYSTEM=pyproject

%:
	dh $@ --buildsystem=pybuild --with python3


# If you need to rebuild the Sphinx documentation:
# Add sphinxdoc to the dh --with line.
#
# And uncomment the following lines.
#execute_after_dh_auto_build-indep: export http_proxy=127.0.0.1:9
#execute_after_dh_auto_build-indep: export https_proxy=127.0.0.1:9
#execute_after_dh_auto_build-indep:
#	PYTHONPATH=. python3 -m sphinx -N -bhtml \
#	docs/ build/html # HTML generator
#	PYTHONPATH=. python3 -m sphinx -N -bman \
#	docs/ build/man # Manpage generator

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%notus-scanner-$1.tar.gz%" \
   https://github.com/greenbone/notus-scanner/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## notus-scanner 22.7.2

=== debian/changelog ===
notus-scanner (22.7.2-1) unstable; urgency=medium

  [ Alexandre Detiste ]
  * whitespace

  [ Sophie Brun ]
  * Update my email
  * New upstream version 22.7.2
  * Update date in debian/copyright

 -- Sophie Brun <sophie@kali.org>  Thu, 14 Aug 2025 11:38:46 +0200

notus-scanner (22.6.5-2) unstable; urgency=medium

  * Team Upload
  * Drop build-dep on python3-tomli

 -- Alexandre Detiste <tchet@debian.org>  Mon, 28 Jul 2025 18:05:37 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: python
 Priority: optional
 Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
-Uploaders: Sophie Brun <sophie@offensive-security.com>
+Uploaders: Sophie Brun <sophie@kali.org>
 Rules-Requires-Root: no
 Build-Depends:
  debhelper-compat (= 13),
@@ -13,7 +13,6 @@
  python3-poetry-core,
  python3-gnupg,
  python3-paho-mqtt,
- python3-tomli,
 Standards-Version: 4.7.2
 Homepage: https://github.com/greenbone/notus-scanner
 Vcs-Browser: https://salsa.debian.org/pkg-security-team/notus-scanner

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 export PYBUILD_SYSTEM=pyproject
 
 %:
-	dh $@ --buildsystem=pybuild --with python3
+	dh $@ --buildsystem=pybuild
 
 
 # If you need to rebuild the Sphinx documentation:
